Subject: Re: [PATCH] use gcrypt instead of libssl for hash

From: Junichi Uekawa <[email-masked]>
Date: Mon, 18 Apr 2005 07:36:06 +0900

Hi,

Thanks for your comments.

> > This is the first  time for me to send you a patch; be gentle.
> > the following patch allows for use of gcrypt.
> 
> Well, libgcrypt seems to be pretty rare out there - I certainly don't have 
> it installed on my machine.

Hmm... okay. Might be the case if you don't use much of GNOME and other
apps.

> > libssl seems to have a restrictive licensing wrt GPL applications.
> 
> The GPL makes explicit mention of the system libraries (which openssl
> definitely is by now), so it's ok by the GPL . And I don't see how you'd
> claim that the openssl license doesn't allow it. So it all looks ok by me.

>>From a standpoint of Debian Developer; it feels not-so-clear;
since Debian will be distributing openssl and git.

openssl guys seem to recommend adding a quote, which might be sufficient.
"This program is released under the GPL with the additional exemption that compiling, linking, and/or using OpenSSL is allowed." 
	http://www.openssl.org/support/faq.html#LEGAL2

> But requiring libgcrypt seems silly. Especially as the libgcrypt 
> interfaces are horribly ugly, much more so than the openssl ones - so even 
> if you use libgcrypt, you don't actually want to use it directly, you want 
> to have much nicer wrappers around it.

I'll consider wrappers approach.

regards,
	junichi

-- 
Junichi Uekawa, Debian Developer
17D6 120E 4455 1832 9423  7447 3059 BF92 CD37 56F4
http://www.netfort.gr.jp/~dancer/